<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".IMAGENES;
	$campoid = "imgID";
	$ig = $_GET;
	$arc = $_FILES;
	$in = $_POST;

if (isset($in["guardar"]))
{
	
	
	// asignar el ID
	$qd = myquery("SELECT * FROM ".IMAGENES." ORDER BY ".$campoid." DESC LIMIT 0, 1","[03]");
	$row_inid = myfetch($qd);
	if ($row_inid["imgID"])
	{
		$inid = $row_inid["imgID"]+1;
	} else {
		$inid = 1;
	}

	
	if (isset($arc["imagen_ampliacion"]) && $arc["imagen_ampliacion"]["name"])
	{
						
		// extension + caracteres max 100
		if (preg_match('/\.(gif|jpg|jpeg|png)$/i', $arc["imagen_ampliacion"]["name"]) && strlen($arc["imagen_ampliacion"]["name"]) <= 100 && $arc["imagen_ampliacion"]["size"] > 0)
		{
						
			$arc["imagen_ampliacion"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["imagen_ampliacion"]["name"]);				
			$archivo_nom = $arc["imagen_ampliacion"]["name"];
			$subir = move_uploaded_file($arc["imagen_ampliacion"]["tmp_name"], "../ftps/".$archivo_nom);
			if (!$subir) //falla FTP
			{
				Redir ($archivo_php."?err_ftp=1");
						
			} else {
					
				$recortar_ancho = $in["recortar_ancho"] != "" && is_numeric($in["recortar_ancho"]) ? $in["recortar_ancho"] : CONFIG_25 ;
				$ruta_or_foto ="../ftps/";
				$ruta_sal_foto ="../imagenes/";
				// gif|jpg|jpeg|png
				generar_imagenes($ruta_or_foto,$ruta_sal_foto,$archivo_nom,$recortar_ancho,$recortar_ancho,$inid,"amp");
				$imagen_ampliacion = "FA_".$inid."_".$archivo_nom;
				$imagen = "F_".$inid."_".$archivo_nom;
				unlink("../ftps/".$archivo_nom);
					
			}
							
		} else { // no extension no cantidad de caracteres
						
			Redir ($archivo_php."?err_ext=1");
						
		}
					
	} else {
	
	$imagen_ampliacion = "";
	$imagen = "";
		
	}
	
	$canID = $in["canID"];
	$pie = entrada_gral_html($in["pie"]); 
	$pie_1 = $num_idiomas >= 1 ? entrada_gral_html($in["pie_1"]) : ""; 
	$pie_2 = $num_idiomas >= 2 ? entrada_gral_html($in["pie_2"]) : ""; 
	$pie_3 = $num_idiomas >= 3 ? entrada_gral_html($in["pie_3"]) : ""; 
	$pie_4 = $num_idiomas >= 4 ? entrada_gral_html($in["pie_4"]) : ""; 
	$pie_5 = $num_idiomas >= 5 ? entrada_gral_html($in["pie_5"]) : "";
	$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
	$mostrar = isset($in["mostrar"]) ? $in["mostrar"] : 0 ;
	$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
	
	// canal_tipo
	// comprobar el canal_tipo
	$qct = myquery("SELECT * FROM ".CANALES." WHERE canID='".$canID."'","[08]");
	$rowct = myfetch($qct);
	if ($rowct["canal_tipo"] != 1) // 1 -> canal_tipo imagenes
	{
		// no es el mismo canal_tipo
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=2&".$in["listado_get"]);
		
	}
	
	$qs = "INSERT INTO ".IMAGENES." (canID,pie,pie_1,pie_2,pie_3,pie_4,pie_5,imagen_ampliacion,imagen,orden,mostrar,enabled) VALUES ('".$canID."','".$pie."','".$pie_1."','".$pie_2."','".$pie_3."','".$pie_4."','".$pie_5."','".$imagen_ampliacion."','".$imagen."','".$orden."','".$mostrar."','".$enabled."')";
	myquery($qs,"[01]");
	$inid = myinsertid();
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig["imgID"]) || isset($in["imgID"]))
{
	// asignar ID gral
	$fileID_gral = isset($ig["imgID"]) ? $ig["imgID"] : $in["imgID"];
	
	
	if (isset($in["actualizar"]))
	{

		// asignar el ID
		$inid = $fileID_gral;

	
		if (isset($arc["imagen_ampliacion"]) && $arc["imagen_ampliacion"]["name"])
		{
		
			// extension + caracteres max 100
			if (preg_match('/\.(gif|jpg|jpeg|png)$/i', $arc["imagen_ampliacion"]["name"]) && strlen($arc["imagen_ampliacion"]["name"]) <= 100 && $arc["imagen_ampliacion"]["size"] > 0)
			{
						
				$arc["imagen_ampliacion"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["imagen_ampliacion"]["name"]);			
				$archivo_nom = $arc["imagen_ampliacion"]["name"];
				$subir = move_uploaded_file($arc["imagen_ampliacion"]["tmp_name"], "../ftps/".$archivo_nom);
				if (!$subir) //falla FTP
				{
					// '0' no borrar las viejas imagenes
					$borrar_arc = 0;
					Redir ($archivo_php."?".$campoid."=".$inid."&err_ftp=1&".$in["listado_get"]);
						
				} else {
					
					// '1' si borrar las viejas imagenes
					$borrar_arc = 1;

					$recortar_ancho = $in["recortar_ancho"] != "" && is_numeric($in["recortar_ancho"]) ? $in["recortar_ancho"] : CONFIG_25 ;
					$ruta_or_foto ="../ftps/";
					$ruta_sal_foto ="../imagenes/";
					// gif|jpg|jpeg|png
					generar_imagenes($ruta_or_foto,$ruta_sal_foto,$archivo_nom,$recortar_ancho,$recortar_ancho,$inid,"amp");
					// controla el UPDATE
					$imagen_ampliacion = ",imagen_ampliacion='FA_".$inid."_".$archivo_nom."'";
					$imagen = ",imagen='F_".$inid."_".$archivo_nom."'";
					unlink("../ftps/".$archivo_nom);
					
				}
							
			} else { // no extension no cantidad de caracteres
						
				// '0' no borrar el viejo archivo
				$borrar_arc = 0;				
				Redir ($archivo_php."?".$campoid."=".$inid."&err_ext=1&".$in["listado_get"]);
						
			}

			// borrar las viejas imagenes
			if ($borrar_arc == 1)
			{
				$q1 = myquery("SELECT * FROM ".IMAGENES." WHERE imgID='".$fileID_gral."'","[02]");
				$row1 = myfetch($q1);
				// si tiene distinto nombre se borra
				if ($row1["imagen_ampliacion"] != "FA_".$inid."_".$archivo_nom)
				{
					if ($row1["imagen_ampliacion"] && file_exists_url("../imagenes/".$row1["imagen_ampliacion"]))
					{
						unlink("../imagenes/".$row1["imagen_ampliacion"]);
					}
					if ($row1["imagen"] && file_exists_url("../imagenes/".$row1["imagen"]))
					{
						unlink("../imagenes/".$row1["imagen"]);
					}
				}
			}
			
					
		} else {
	
		// controla el UPDATE
		$imagen_ampliacion = "";
		$imagen = "";
	
		}
	
		$canID = $in["canID"];
		$pie = entrada_gral_html($in["pie"]); 
		$pie_1 = $num_idiomas >= 1 ? entrada_gral_html($in["pie_1"]) : ""; 
		$pie_2 = $num_idiomas >= 2 ? entrada_gral_html($in["pie_2"]) : ""; 
		$pie_3 = $num_idiomas >= 3 ? entrada_gral_html($in["pie_3"]) : ""; 
		$pie_4 = $num_idiomas >= 4 ? entrada_gral_html($in["pie_4"]) : ""; 
		$pie_5 = $num_idiomas >= 5 ? entrada_gral_html($in["pie_5"]) : "";
		$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
		$mostrar = isset($in["mostrar"]) ? $in["mostrar"] : 0 ;
		$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;

		// canal_tipo
		// comprobar el canal_tipo
		$qct = myquery("SELECT * FROM ".CANALES." WHERE canID='".$canID."'","[08]");
		$rowct = myfetch($qct);
		if ($rowct["canal_tipo"] != 1) // 1 -> canal_tipo imagenes
		{
			// no es el mismo canal_tipo
			Redir ($archivo_php."?".$campoid."=".$inid."&msj=2&".$in["listado_get"]);
		
		}

		if ($enabled == 0)
		{
		
			myquery("UPDATE ".RELACIONADOS." SET enabled='".$enabled."' WHERE refID='".$fileID_gral."' AND tipo=2","[06rela2]");
		
		}

		$qs = "UPDATE ".IMAGENES." SET canID='".$canID."',pie='".$pie."',pie_1='".$pie_1."',pie_2='".$pie_2."',pie_3='".$pie_3."',pie_4='".$pie_4."',pie_5='".$pie_5."'".$imagen_ampliacion.$imagen.",orden='".$orden."',mostrar='".$mostrar."',enabled='".$enabled."' WHERE imgID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".IMAGENES." WHERE imgID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row["imgID"] = "";
$row["canID"] = "";
$row["pie"] = "";
$row["pie_1"] = "";
$row["pie_2"] = "";
$row["pie_3"] = "";
$row["pie_4"] = "";
$row["pie_5"] = "";
$row["imagen_ampliacion"] = "";
$row["imagen"] = "";
$row["orden"] = "";
$row["mostrar"] = "";
$row["enabled"] = "1";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>
<?php include("inc.editor_tinymce.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_editar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_146; ?></span>
</div>
<?php
	} else {
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_publicar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_13; ?></span>
</div>
<?php
	}
?>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig["imgID"]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
			
			if (isset($ig["err_ftp"]))
			{				
				$listado_get = str_replace($campoid."=".$fileID_gral."&err_ftp=1&","", $cadena_get_comple);
				
			} else if (isset($ig["err_ext"])) {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&err_ext=1&","", $cadena_get_comple);
				
			} else {
			
				// si se entra desde la web
				if ($cadena_get_comple == $campoid."=".$fileID_gral)
				{
					$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
				} else {
			
					$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
				}

			}
					
		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_45.'</div>';

		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_57).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';


	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_57.'</div>';	
		
		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		$msj = $ig["msj"];
		
		if ($msj == 1) { echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;'; }
		if ($msj == 2) { echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_319.'</span>&nbsp;&nbsp;'; }
	
	}

	if (isset($ig["err_ftp"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_30.'</span>';
	
	}

	if (isset($ig["err_ext"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_31.' (gif|jpg|jpeg|png)'.LEN_ADMIN_25.' 100</span>';
	}
?>
<br /><br />
<?php  echo LEN_ADMIN_63; ?>
&nbsp;<input type="checkbox" name="enabled"<?php if ($row["enabled"] == 1) { echo ' checked '; } ?> value="1">

<br /><br />
<?php  echo LEN_ADMIN_195; ?>
&nbsp;<input type="checkbox" name="mostrar"<?php if ($row["mostrar"] == 1) { echo ' checked '; } ?> value="1">

<br /><br />
<?php  echo LEN_ADMIN_69; ?>
&nbsp;<input name="orden" maxlength="11" value="<?php echo $row['orden']; ?>" type="text" class="input_text tmini">

<br /><br /><br />
<div class="div_destacar_grupos">
<img class="img_icon_ini" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_canales.png" />
<br /><strong><?php  echo LEN_ADMIN_338; ?></strong>
<br /><br />
<?php
	if ($no_get && !isset($in["actualizar"]))
	{
		echo '* '.LEN_ADMIN_299;
		echo '&nbsp;<select name="canID">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';
		
	} else if (isset($ig[$campoid]) || isset($in["actualizar"])) {
		
		if ($row[$campoid] == 0)
		{
			echo '<span class="mensaje">'.LEN_ADMIN_183.'</span><br />';		
		}
		echo LEN_ADMIN_318;
		echo '&nbsp;<select name="canID">';
		
	}

	$corte = 50;
	$cans = todos_canales(0,0);
	for ($i=0; $i<count($cans); $i++)
	{
		if ($cans[$i]["canal_tipo"] == 1)
		{
			echo "<option value=\"".$cans[$i]["canID"]."\"";
		
			// selecciona el canal principal
			if ($row["canID"] == $cans[$i]["canID"])
			{
				echo " selected";
			}
			echo ">";
		
			// comprueba la longitud del nombre
			if (strlen($cans[$i]["nombre"]) > $corte) { $mas="..."; } else { $mas=""; }
		
			// incluye dos espacios por nivel
			for ($j=0;$j<$cans[$i]["nivel"];$j++)
			{
				echo "&nbsp;&nbsp;";
			}
		
			$canal_tipo_sel = "";
			if ($cans[$i]["canal_tipo"] == 1) { $canal_tipo_sel = LEN_ADMIN_320; } // imagenes
			//if ($cans[$i]["canal_tipo"] == 2) { $canal_tipo_sel = LEN_ADMIN_321; } // archivos
			//if ($cans[$i]["canal_tipo"] == 3) { $canal_tipo_sel = LEN_ADMIN_322; } // videos
			//if ($cans[$i]["canal_tipo"] == 4) { $canal_tipo_sel = LEN_ADMIN_323; } // sonidos
		
			echo substr($cans[$i]["nombre"],0,$corte).$mas.' ('.$canal_tipo_sel.')';
			echo "</option>";
			
		}
	}

?>
</select>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php

	if (isset($ig["imgID"]) || isset($in["actualizar"])) {
		
		echo LEN_ADMIN_92.' (gif|jpg|jpeg|png)';
		
	} else {
	
		echo '* '.LEN_ADMIN_93.' (gif|jpg|jpeg|png)';
	}

?>
&nbsp;<input type="file" name="imagen_ampliacion" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_295; ?>
&nbsp;&nbsp;<input name="recortar_ancho" type="text" maxlength="11" value="<?php echo CONFIG_25; ?>" class="input_text tmini">
<?php
	if (isset($ig["imgID"]) || isset($in["actualizar"]))
	{	
		if ($row["imagen_ampliacion"] && $row["imagen"] && file_exists_url("../imagenes/".$row["imagen_ampliacion"]) && file_exists_url("../imagenes/".$row["imagen"]))
		{

			$size = getimagesize("../imagenes/".$row["imagen"]);
			$size_ancho = ceil($size[0]/2);
			$size2 = getimagesize("../imagenes/".$row["imagen_ampliacion"]);

			echo '<br /><br /><img src="../imagenes/'.$row["imagen"].'" width="'.$size_ancho.'" />';
			echo '<br /><br />'.LEN_ADMIN_67.' <strong>'.$row["imagen_ampliacion"].'</strong>&nbsp;&nbsp;&nbsp;('.$size2[0].' x '.$size2[1].')&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;<strong>'.$row["imagen"].'</strong>&nbsp;&nbsp;&nbsp;('.$size[0].' x '.$size[1].')';
		
		} else {

			echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_26.'</span>';
		
		}
	}
?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_94; ?>&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie" id="pie" class="input_editor" rows="10"><?php echo $row["pie"]; ?></textarea>
<?php
	if ($num_idiomas >= 1) {
?>
<br /><br />
<?php  echo LEN_ADMIN_95; ?> (1)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie_1');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie_1" id="pie_1" class="input_editor" rows="10"><?php echo $row["pie_1"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 2) {
?>
<br /><br />
<?php  echo LEN_ADMIN_95; ?> (2)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie_2');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie_2" id="pie_2" class="input_editor" rows="10"><?php echo $row["pie_2"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 3) {
?>
<br /><br />
<?php  echo LEN_ADMIN_95; ?> (3)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie_3');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie_3" id="pie_3" class="input_editor" rows="10"><?php echo $row["pie_3"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 4) {
?>
<br /><br />
<?php  echo LEN_ADMIN_95; ?> (4)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie_4');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie_4" id="pie_4" class="input_editor" rows="10"><?php echo $row["pie_4"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 5) {
?>
<br /><br />
<?php  echo LEN_ADMIN_95; ?> (5)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('pie_5');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="pie_5" id="pie_5" class="input_editor" rows="10"><?php echo $row["pie_5"]; ?></textarea>
<?php
	}
?>
</div>

<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig["imgID"]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>